<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>upcloud-base-gsp</artifactId>
        <groupId>com.prolog.upcloud</groupId>
        <version>1.0.0.QINGNIU-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>upcloud-base-gsp-facade</artifactId>
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
    </properties>
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>8</source>
                    <target>8</target>
                </configuration>
            </plugin>
        </plugins>
    </build>

    <dependencies>
        <dependency>
            <groupId>com.prolog.framework</groupId>
            <artifactId>plg-fx-core</artifactId>
        </dependency>
        
        <dependency>
            <groupId>com.prolog.framework</groupId>
            <artifactId>plg-fx-microservice</artifactId>
        </dependency>

        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>1.16.10</version>
        </dependency>

        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>upcloud-base-inventory-facade</artifactId>
            <version>${project.version}</version>
            <!--            <version>${project.version}</version>-->
        </dependency>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>outbound-facade</artifactId>
            <version>${project.version}</version>
            <!--            <version>${project.version}</version>-->
        </dependency>
    </dependencies>


</project>